Tweet
Ambil sebuah utas
GET /v1/tweets/{tweet_id}/thread reads 2 kredit
Utas milik penulis sendiri yang melewati sebuah unggahan: rantai balasan-diri yang memuatnya, dari unggahan pertama percakapan hingga balasan-balasan berurutan sang penulis, baik unggahan yang diberikan adalah yang pertama, di tengah, maupun yang terakhir. Balasan penulis terhadap komentar orang lain dalam percakapan yang sama bukan bagian darinya.
respons
Id unggahan dan unggahan-unggahan utasnya diurutkan berdasarkan id (terlama lebih dulu); unggahan yang bukan bagian dari utas dikembalikan sendirian. Unggahan yang tidak dikenal menghasilkan 404.
Status: 200, 404, 422, 429, 502
permintaan
curl https://api.xsignalfeed.com/v1/tweets/2100389563898495436/thread \ -H "Authorization: Bearer xsf_your_key"
respons · 200 / 404
{
"tweet_id": "2100389563898495436",
"tweets": [
{
"id": 2100389274051043375,
"created_ms": 1789606800936,
"user_id": 1126749496082223104,
"user": "HYBE_MERCH",
"name": "HYBE MERCH",
"text": "BTS (방탄소년단) WORLD TOUR ‘ARIRANG’ Official Merch. 2nd Drop (1/4)…",
"lang": "ko",
"reply_to": null,
"reply_to_status_id": null,
"reply_to_user_id": null,
"conversation_id": "2100389274051043375",
"is_rt": false,
"rt_of": null,
"is_quote": false,
"quoted": null,
"media": [
"https://pbs.twimg.com/media/…"
],
"media_items": [
{
"type": "photo",
"url": "https://pbs.twimg.com/media/…",
"expanded_url": "https://x.com/HYBE_MERCH/status/2100389274051043375/photo/1",
"width": 1080,
"height": 1350
}
],
"urls": [],
"views": "18211",
"counts": {
"reply": 3,
"rt": 210,
"like": 640,
"quote": 2,
"bookmark": 44
},
"source": "<a href=\"https://mobile.twitter.com\" rel=\"nofollow\">Twitter Web App</a>"
},
{
"id": 2100389556948509007,
"reply_to_status_id": "2100389274051043375",
"conversation_id": "2100389274051043375",
"…": "…"
},
{
"id": 2100389560379462133,
"reply_to_status_id": "2100389556948509007",
"…": "…"
},
{
"id": 2100389563898495436,
"reply_to_status_id": "2100389560379462133",
"…": "…"
}
]
}